#ifndef EDITSCENE_BUOYANCYINFOEDITOR_HPP
#define EDITSCENE_BUOYANCYINFOEDITOR_HPP
#pragma once

#include "ComponentEditor.hpp"
#include "../components/BuoyancyInfo.hpp"

/**
 * Editor for BuoyancyInfo component
 */
class BuoyancyInfoEditor : public ComponentEditor<BuoyancyInfo> {
public:
	bool renderComponent(flecs::entity entity,
			     BuoyancyInfo &buoyancyInfo) override;
	const char *getName() const override
	{
		return "Buoyancy Info";
	}
};

#endif // EDITSCENE_BUOYANCYINFOEDITOR_HPP